import './globals.css'
import '@mantine/core/styles.css'

import type { Metadata } from 'next'
import { Inter } from 'next/font/google'
import React from 'react'
import { ColorSchemeScript, MantineProvider } from '@mantine/core'

const inter = Inter({ subsets: ['latin'] })

export const metadata: Metadata = {
  title: 'Matz Hilven',
  description: 'todo',
}

export default function RootLayout({
  children,
}: {
  children: React.ReactNode
}) {
  return (
    <html lang="en">
      <head>
        <ColorSchemeScript />
      </head>
      <body className={inter.className}>
        <div className="bg-bg">
          <MantineProvider>{children}</MantineProvider>
        </div>
      </body>
    </html>
  )
}
